package com.kundun.graph.io;

import java.util.ArrayList;
import java.util.HashMap;

import org.apache.log4j.Logger;

import com.kundun.graph.main.Config;

public class ReaderShellGraph extends Reader {
	
	private final static Logger LOGGER = Logger.getLogger(ReaderFile.class.getName());
	
	private String graphId;
	private String graphLabel;
	
	public ReaderShellGraph(String id, String label) {
		this.graphId = id;
		if(label != null) {
			this.graphLabel = label;
		}
	}

	@Override
	public ArrayList<HashMap<String, String>> read() throws Exception {
		ArrayList<HashMap<String,String>> parsingResult = new ArrayList<HashMap<String,String>>();
		
		HashMap<String, String> g = new HashMap<String, String>();
		g.put("graph", this.graphId + "," + this.graphLabel);
		
		parsingResult.add(g);
		LOGGER.info(Config.ln() + "Creating new graph directly from shell");
		
		return parsingResult;
	}
	

}
