package com.kundun.graph.io;

import java.util.ArrayList;
import java.util.HashMap;

import org.apache.log4j.Logger;

import com.kundun.graph.main.Config;

public class ReaderShellNode extends Reader {
	
	private final static Logger LOGGER = Logger.getLogger(ReaderFile.class.getName());
	
	private String nodeId;
	private String nodeLabel;
	
	public ReaderShellNode(String id, String label) {
		this.nodeId = id;
		if(label != null) {
			this.nodeLabel = label;
		}
	}

	@Override
	public ArrayList<HashMap<String, String>> read() throws Exception {
		ArrayList<HashMap<String,String>> parsingResult = new ArrayList<HashMap<String,String>>();
		
		HashMap<String, String> n = new HashMap<String, String>();
		n.put("node", this.nodeId + "," + this.nodeLabel);
		
		parsingResult.add(n);
		LOGGER.info(Config.ln() + "Creating new node directly from shell");
		
		return parsingResult;
	}
	

}
