package com.kundun.graph.io;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map.Entry;

import org.apache.log4j.Logger;

import com.kundun.graph.main.Config;
import com.kundun.graph.shell.Shell;

public class WriterShellGraph extends Writer {
	
	private final static Logger LOGGER = Logger.getLogger(WriterShellGraph.class.getName());

	@Override
	public void write(ArrayList<HashMap<String, String>> dataToParse)
			throws Exception {
		LOGGER.info(Config.ln() + "Displaying the graph onto the shell");
		Shell.println("{");
		for (HashMap<String, String> map : dataToParse) {
			for (Entry<String, String> entry : map.entrySet()) {
		         
				Shell.println("\t" + entry.getKey() + GRAMMAR_SEPARATOR + entry.getValue());
		    }
		}
		Shell.println("}");
		
	}

}
